function [ sift ] = load_siftfile( filename )

fid=fopen(filename,'r');
l1=fread(fid,5,'*int');
sift.npt=l1(3);
sift.loc=zeros(l1(3),2);
sift.color=zeros(l1(3),1);
sift.par=zeros(l1(3),2);
for i=1:l1(3)
    tloc1=fread(fid,2,'*float');
    tloc2=fread(fid,4,'*unsigned char');
    tloc3=fread(fid,2,'*float');
    sift.loc(i,:)=tloc1(:)';
    sift.color(i,:)=tloc2(1)';
    sift.par(i,:)=tloc3(:)';
end
sift.des=zeros(l1(3),128);
tdes=fread(fid,128*l1(3),'*unsigned char');
p=0;
for i=1:l1(3)
    for j=1:128
        p=p+1;
        sift.des(i,j)=tdes(p);
    end
end
fclose(fid);

end

