function [ obj ] = load_nvm( filename,mask_path,mask_add )

format long;

fid=fopen(filename,'r');
tline=fgetl(fid);
tline=fgetl(fid);

tline=fgetl(fid);
cam_n=sscanf(tline,'%d');

obj.cam_par=cell(cam_n,1);
for i=1:cam_n
    tline=fgetl(fid);
    a = sscanf(tline,'%s %f %f %f %f %f %f %f %f %f %f');
    len=size(a,1);
    obj.cam_par{i}.par=a(len-9:len);
    obj.cam_par{i}.name='';
    for j=1:len-10
        obj.cam_par{i}.name=strcat(obj.cam_par{i}.name,char(a(j)));
    end
    [pathstr,name,ext]=fileparts(obj.cam_par{i}.name);
    obj.cam_par{i}.mask=imread(strcat(strcat(mask_path,name),mask_add));
    [pathstr,name,ext]=fileparts(filename);
    obj.cam_par{i}.im=imread(strcat(strcat(pathstr,'/'),obj.cam_par{i}.name));
    %obj.cam_par{i}.sift=[];
end

tline=fgetl(fid);
tline=fgetl(fid);
point_n=sscanf(tline,'%d');  
obj.point_xyz=[];
obj.point_color=[];
obj.point_traj=cell(point_n,1);
l=1;
for i=1:point_n
    tline=fgetl(fid);
    spat=find(tline==' ');
    spat(length(spat)+1)=length(tline)+1;
    obj.point_xyz(l,:)=sscanf(tline(1:spat(3)-1),'%f %f %f');
    obj.point_color(l,:)=sscanf(tline(spat(3)+1:spat(6)-1),'%d %d %d');   
    traj_n=sscanf(tline(spat(6)+1:spat(7)-1),'%d');
    obj.point_traj{l}=cell(traj_n,1);
    for j=1:traj_n
        obj.point_traj{l}{j}=sscanf(tline(spat(6+4*(j-1)+1)+1:spat(6+4*j+1)-1),'%d %d %f %f');
        %obj.cam_par{obj.point_traj{l}{j}(1)+1}.sift(size(obj.cam_par{obj.point_traj{l}{j}(1)+1}.sift,1)+1,1:4)=[obj.point_traj{l}{j}(2:4)',i];
    end
    l=l+1;
end


    
end







